{time}

API: weather.gov:national-weather-service-api
Endpoint: /stations/{stationId}/tafs/{date}/{time}
Response format: application/vnd.wmo.iwxxm+xml
Auth: unknown
Method: GET
Last Status: 200
Latency: 845ms

Description

Returns a single Terminal Aerodrome Forecast.

Parameters (3)

date (?, path, required)

Date (YYYY-MM-DD format)

stationId (string, path, required)

Observation station ID

time (?, path, required)

Time (HHMM format). This time is always specified in UTC (Zulu) time.

Examples (3)

KJFK TAF for midday UTC curl
curl 'https://api.weather.gov/stations/KJFK/tafs/2026-03-14/1200' \
  -H 'User-Agent: robustapi-lore/1.0'
import requests

resp = requests.get(
    "https://api.weather.gov/stations/KJFK/tafs/2026-03-14/1200",
    headers={
        'User-Agent': 'robustapi-lore/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}/tafs/{date}/{time}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KJFK/tafs/2026-03-14/1200", {
  headers: {
    "User-Agent": "robustapi-lore/1.0",
  },
});
const data = await resp.json();
KLAX TAF for early morning UTC curl
curl 'https://api.weather.gov/stations/KLAX/tafs/2026-03-14/0600' \
  -H 'User-Agent: robustapi-lore/1.0'
import requests

resp = requests.get(
    "https://api.weather.gov/stations/KLAX/tafs/2026-03-14/0600",
    headers={
        'User-Agent': 'robustapi-lore/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}/tafs/{date}/{time}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KLAX/tafs/2026-03-14/0600", {
  headers: {
    "User-Agent": "robustapi-lore/1.0",
  },
});
const data = await resp.json();
KORD TAF for midnight UTC curl
curl 'https://api.weather.gov/stations/KORD/tafs/2026-03-14/0000' \
  -H 'User-Agent: robustapi-lore/1.0'
import requests

resp = requests.get(
    "https://api.weather.gov/stations/KORD/tafs/2026-03-14/0000",
    headers={
        'User-Agent': 'robustapi-lore/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}/tafs/{date}/{time}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KORD/tafs/2026-03-14/0000", {
  headers: {
    "User-Agent": "robustapi-lore/1.0",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:55:02.607123 200 845ms
2026-04-04 03:35:33.164512 200 1036ms
2026-04-04 02:03:57.608120 200 892ms
2026-04-03 14:33:45.212954 200 644ms
2026-04-03 13:34:56.350163 200 1350ms
2026-04-03 12:57:11.972091 200 607ms
2026-03-30 06:45:08.645588 200 355ms
2026-03-30 06:36:39.712814 200 230ms
2026-03-30 02:34:52.762141 200 249ms
2026-03-29 15:13:34.186295 200 612ms
2026-03-29 14:10:16.457221 200 1378ms
2026-03-29 13:35:20.296749 200 345ms
2026-03-23 10:28:02.274349 200 541ms
2026-03-23 09:13:15.698228 200 186ms
2026-03-22 21:39:26.288051 200 1473ms